Subject: RE: [Call-home] last call for a Call Home BoF

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Wed, 12 Oct 2005 10:58:22 +0200

I believe that the problem that this BOF tries to deal with is very
real, has architecture and deployment implications, and it would be very
useful to have this BOF at the Vancouver IETF. 

BTW, the first phrase in the long description is broken and fuzzy in not
showing who is the client. It would be useful to re-write it, and maybe
include also the explication in the I-D about what is 'call home' (  '
Many devices make use of so-called "Call Home" functionality in order to
be managed or updated, or to otherwise establish outbound
communication in the face of NATs, firewalls, and mobility.') 

Dan

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Eliot Lear
> Sent: Wednesday, October 12, 2005 10:13 AM
> To: "ops- nm"@ops.ietf.org; [email-masked]; [email-masked]
> Subject: [Call-home] last call for a Call Home BoF
> 
> After all of the mail last month, Bert is considering 
> allowing a BoF on the topic of Call Home.  I initially posted 
> a note to the call-home mailing list announcing the 
> possibility of a BoF.  Response to that note was - well - 
> underwhelming.  If you are interested in seeing one, could 
> you please reply to this email, CCing the call-home mailing 
> list.  Here is a draft agenda.  It is subject to your input.
> 
> If we do not see much input, I'm going to drop the request to Bert.
> 
> Eliot
> 
> Title: callhome
> Period of time: 1 hour
> Area: ops-nm
> Expected # attendees: 40-60 (small room) Don't conflict with: 
> ISMS, ops-area, netconf (if there is one)
> 
> 
> Short Description: Discussion of Architectural Issues Concerning
>             protocols that could benefit from reversing
>             of roles
> 
> Long Description:
> 
> Certain protocols, and in particular management protocols 
> where devices on either end of connection take client server 
> roles may be able to take advantage of "Call Home" 
> functionality, when traditional roles are reversed, and a 
> server connect to a client.
> Examples of existing protocols that make use of call home 
> include SMTP [ETRN] and COPS.  At this BoF we will look at 
> extending such functionality into other protocols, as well as 
> any architectural issues this raises.
> 
> This work stems from efforts in ISMS to extend SNMP to run 
> over SSH, as well as work as work that has gone on in NETCONF.
> 
> We will begin with a discussion of
> draft-lear-callhome-description-0[1,2].txt, which contains a 
> description of call home, what problems it can solve, and 
> what some of the architectural issues are.  During the BoF we 
> may identify additional such issues as well as protocols 
> other than management protocols that could benefit from this 
> work.  An additional potential question should be whether a 
> generic standard or process should be used to implement call 
> home, such as rules for SSH.
> 
> There are three possible outcomes: a working group to add "call home"
> functionality to existing protocols such as SNMP/SSH and 
> NETCONF/SSH, use of existing working groups for this purpose, 
> or nothing.
> 
> Chair: Eliot Lear (or tbd)
> Agenda:
> 
> Agenda bashing - 1 minute
> Presentation of draft-lear-callhome-description-00.txt 19 
> minutes Application to SNMP and open areas - 10 minutes 
> Discussion including architectural issues - 20 minutes Moving 
> Forward Options  - 10 minutes
> 
> _______________________________________________
> Call-home mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/call-home
> 

_______________________________________________
Call-home mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/call-home

---

From: "Sumanth Channabasappa" <[email-masked]>
Date: Wed, 12 Oct 2005 09:19:04 -0600

Eliot,

I concur with the others as this is a problem space that needs to be
addressed. Personally, I would be interested in feedback related to the
management protocols (SNMP, netconf) in this regard.

- Sumanth

-----Original Message-----
From: Pekka Nikander [mailto:[email-masked]] 
Sent: Wednesday, October 12, 2005 7:53 AM
To: Eliot Lear
Cc: [email-masked]
Subject: Re: [Call-home] last call for a Call Home BoF

Eliot,

I think it is important to discuss this problem space, as there are a
number of completely different approaches already being developed,
including STUN/ICE/whatever and IPsec with NAT-T.  Whether the proposed
approach is a good addition to the set is something that could clearly
be discussed in a BOF.

--Pekka NIkander

On Oct 12, 2005, at 10:12, Eliot Lear wrote:

> After all of the mail last month, Bert is considering allowing a BoF 
> on the topic of Call Home.  I initially posted a note to the
> call-home mailing list announcing the possibility of a BoF.   
> Response to that note was - well - underwhelming.  If you are 
> interested in seeing one, could you please reply to this email, CCing 
> the call-home mailing list.  Here is a draft agenda.  It is subject to

> your input.
> Expected # attendees: 40-60 (small room) Don't conflict with: ISMS, 
> ops-area, netconf (if there is one)
>
>
> Certain protocols, and in particular management protocols where 
> devices on either end of connection take client server roles may be 
> able to take advantage of "Call Home" functionality, when traditional 
> roles are reversed, and a server connect to a client.
> Examples of existing protocols that make use of call home include SMTP

> [ETRN] and COPS.  At this BoF we will look at extending such 
> functionality into other protocols, as well as any architectural 
> issues this raises.
>
> This work stems from efforts in ISMS to extend SNMP to run over SSH, 
> as well as work as work that has gone on in NETCONF.
>
> We will begin with a discussion of draft-lear-callhome-description-0 
> [1,2].txt, which contains a description of call home, what problems
> it can solve, and what some of the architectural issues are.   
> During the BoF we may identify additional such issues as well as 
> protocols other than management protocols that could benefit from this

> work.  An additional potential question should be whether a generic 
> standard or process should be used to implement call home, such as 
> rules for SSH.
>
> functionality to existing protocols such as SNMP/SSH and NETCONF/SSH, 
> use of existing working groups for this purpose, or nothing.
>
> Presentation of draft-lear-callhome-description-00.txt 19 minutes 
> Application to SNMP and open areas - 10 minutes Discussion including 
> architectural issues - 20 minutes Moving Forward Options  - 10 minutes
>